Loading...
Searching...
No Matches
DcmJpegHelper Class Reference

helper class with static methods used from different dcmjpeg classes (in particular from the encoder and the decoder part). More...

## Static Public Member Functions

static EP_Interpretation | getPhotometricInterpretation (DcmItem *item)
| helper function that locates the photometric interpretation attribute in a DICOM dataset and returns a parsed value.
static void | fixPadding (Uint8 *buffer, Uint32 bufSize)
| adjusts the padding of a JPEG bitstream in the buffer that has odd length, such that the End of Image (EOI) marker ends on an even byte boundary.

## Detailed Description

helper class with static methods used from different dcmjpeg classes (in particular from the encoder and the decoder part).

## Member Function Documentation

## fixPadding()

void DcmJpegHelper::fixPadding | ( | Uint8 * | buffer,
|  | Uint32 | bufSize )

static

adjusts the padding of a JPEG bitstream in the buffer that has odd length, such that the End of Image (EOI) marker ends on an even byte boundary.

Parameters

  buffer | pointer to buffer containing compressed JPEG bitstream
  bufSize | number of bytes used for the JPEG bitstream (including pad byte)

## getPhotometricInterpretation()

EP_Interpretation DcmJpegHelper::getPhotometricInterpretation | ( | DcmItem * | item | ) |

static

helper function that locates the photometric interpretation attribute in a DICOM dataset and returns a parsed value.

Parameters

  item | the dataset in which the element is searched

Returns
  photometric interpretation enum, EPI_Unknown if unknown string or attribute missing

The documentation for this class was generated from the following file:

- dcmjpeg/include/dcmtk/dcmjpeg/djutils.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0